#pragma once
#include "Entity.h"
#define PESPLASH_CREATENAME L"pe_splash"
//ΘλΛ®Λ®»¨
class PeSplash :
    public Entity
{
public:
    PeSplash();
    void Step() override;
private:
    bool bSetSpray1 = true;
    bool bSetSpray2 = true;
};

std::shared_ptr<Entity> CreatePeSplash();